%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Gaussian function and Fourier transform
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear;
close all hidden;

a=-2;b=2;N=256;t = a:(1/N)*(b-a):b-(1/(N*(b-a))); 
%g=(2*pi)^(-1/2)*pi^(-1/4)*(exp((-2*pi*t.*t)/2));		
scale = 1;
%scale = 0.1;
%scale = 0.5;
g=(2*pi)^(-1/2)*pi^(-1/4)*(exp((-2*pi*(t/scale).*(t/scale))/2));		

%g=pi^(-1/4)*(exp(-(t.*t)/2));		
                              
[w,ghut,wmin,wmax]=ctft(a,b,N,t,g,-2,2,8);

subplot(2,2,1)
plot(t,g)             
axis([-2,2,0,0.4])
%axis([a,b,-1.5,1.5])
%xlabel('Zeit t')
%title('Gaussian function f')

subplot(2,2,2)
plot(w,abs(ghut(wmin:wmax)))  
axis([-2,2,0,0.4])
%xlabel('frequncy \o')
%title('Absolute value |F(f)|')

subplot(2,2,3)
plot(w,real(ghut(wmin:wmax)))
axis([-2,2,0,0.4])
%title('Real part re(F(f))')

subplot(2,2,4)
plot(w,imag(ghut(wmin:wmax)))  
axis([-2,2,0,0.4])
%axis([-2,2,-1,1])
%title('Imaginary part im(F(f))')
                       
printPaperPosition = [1   10   22  14]; %[left, bottom, width, height]
printFile = 'FourierCT_Gaussian_figure';
set(gcf,'PaperPosition',printPaperPosition); 
print('-dtiff',strcat(printFile));
